{% set menuItems = [
    ['collections', 'fas fa-layer-group', 'Collections'],
    ['series', 'fas fa-bars', 'Séries'],
    ['kinders', 'fas fa-egg', 'Kinders'],
    ['bpzs', 'fas fa-square', 'BPZs'],
    ['zbas', 'far fa-square', 'ZBAs'],
    ['items', 'fas fa-tree', 'Items'],
    ['pieces', 'fas fa-puzzle-piece', 'Pieces'],
    ['images', 'fas fa-images', 'Images'],
] %}
{% set menuGear = [
    ['attributes', 'fas fa-tag', 'Attributs'],
    ['countries', 'fas fa-flag', 'Pays'],
    ['catalogs', 'fas fa-book', 'Catalogues'],
    ['menucategs', 'fas fa-folder-plus', 'Menu categorie'],
    ['menuitems', 'fas fa-folder', 'Menu item'],
    ['siteconfig', 'fas fa-cogs', 'Site config'],
] %}

<nav class="navbar navbar-dark bg-dark navbar-expand-lg">
    <div class="container-fluid">
        <a class="navbar-brand" href="{{ path('front_home') }}">
            <i class="fas fa-home"></i>
        </a>
        <a class="navbar-brand" href="{{ path('admin') }}">
            <i class="fas fa-chart-bar"></i>
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                {% for menuItem in menuItems %}
                    {% set active = 'admin_'~menuItem.0 in app.request.attributes.get('_route') %}
                    <li class="nav-item{{ active ? ' active' : '' }}">
                        <a class="nav-link" href="{{ path('admin_'~menuItem.0) }}"><i class="{{ menuItem.1 }}"></i> {{ menuItem.2 }}</a>
                    </li>
                {% endfor %}
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-cog"></i>
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        {% for menuItem in menuGear %}
                            <a class="dropdown-item" href="{{ path('admin_'~menuItem.0) }}"><i class="{{ menuItem.1 }}"></i> {{ menuItem.2 }}</a>
                        {% endfor %}
                    </div>
                </li>
            </ul>
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('logout') }}"><i class="fas fa-sign-out-alt"></i> Logout</a>
                </li>
            </ul>
            {% if searchfilter.visible %}
                <form class="form-inline my-2 my-lg-0" action="{{ path(searchfilter.routeName) }}" method="get" id="searchFilterForm">
                    <input class="form-control mr-sm-2"
                           type="search" name="search" id="searchFilter"
                           placeholder="... search ..." aria-label="Search"
                           style="max-width: 10em"
                           value="{{ searchfilter.value }}">
                    {% set exchange = searchfilter.value('exchange') %}
                    <input type="hidden" value="{{ exchange }}" name="exchange" id="searchFilterExchange" />
                    <div class="btn-group" role="group" aria-label="Basic example">
                        <button type="submit" class="btn btn-outline-secondary">
                            <i class="fas fa-search"></i>
                        </button>
                        <button type="button" class="btn btn-{{ exchange ? 'success' : 'outline-secondary' }}" onclick="searchFilterExchangeToggle()">
                            <i class="fa fa-exchange-alt"></i>
                        </button>
                        <button type="button" class="btn btn-outline-secondary" onclick="searchFilterReset()">
                            <i class="fas fa-times"></i>
                        </button>
                    </div>
                </form>
            {% endif %}
        </div>
    </div>
</nav>
